Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QDynamicPropertyChangeEvent

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QEvent
                      com.trolltech.qt.core.QDynamicPropertyChangeEvent

All Implemented Interfaces:
  QtJambiInterface

    public class QDynamicPropertyChangeEvent

extends QEvent

The QDynamicPropertyChangeEvent class contains event parameters for dynamic property change events. Dynamic property change events are sent to objects when properties are dynamically added, changed or removed using `QObject::setProperty()`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QDynamicPropertyChangeEvent(QByteArray name)` Constructs a dynamic property change event object with the property name set to `name`.

Method Summary
`QByteArray` | `propertyName()` Returns the name of the dynamic property that was added, changed or removed.
`java.lang.String` | `toString()` Returns a string representation of the `this QDynamicPropertyChangeEvent`.

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, registerEventType, registerEventType, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QDynamicPropertyChangeEvent

    public QDynamicPropertyChangeEvent(QByteArray name)

  Constructs a dynamic property change event object with the property name set to `name`.

Method Detail

### propertyName

    public final QByteArray propertyName()

  Returns the name of the dynamic property that was added, changed or removed.

See also:
  `QObject::setProperty()`, and `QObject::dynamicPropertyNames()`.

### toString

    public java.lang.String toString()

  Returns a string representation of the `this QDynamicPropertyChangeEvent`.

  Overrides:
    `toString` in class `QEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD